//================================================================= includes ===
#include <avr/io.h>
#include <avr/interrupt.h>
#include "movelin.h"


//================================================================== defines ===
#ifndef F_CPU
#define F_CPU 4000000UL
#endif

//============================================================ main-function ===
int main(void) {

	fnMotorInit();

	TIMSK |= (1 << OCIE1A);
	sei();

	int cn = 0;

	while (1){
		if(cn%2 == 1)
			fnMoveToPosition(200);
		else
			fnMoveToPosition(-200);

		cn++;
	}
	return 0;
}

