#ifndef MOVELIN_H_
#define MOVELIN_H_

#include <avr/io.h>
#include <avr/interrupt.h>

//============================================================== definitions ===
#define PRESCALER 64
#define F_CNTR (F_CPU / 64)
#define WP_MAX 5
#define W_MAX 5
#define ALPHA 0.0314

//=============================================================== prototypes ===
void fnMotorInit(void);

void fnMoveToPosition(uint16_t endpoint);

#endif
